Bug 1414165 - Deleting an OSP node before registration starts results in an error
Summary: Deleting an OSP node before registration starts results in an error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.2
Assignee: cchase
QA Contact: Sudhir Mallamprabhakara
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 22:52 UTC by Matt Reid
Modified: 2017-12-15 13:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-15 13:33:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
OSP error (56.29 KB, image/png)
2017-01-17 22:52 UTC, Matt Reid
no flags Details

Description Matt Reid 2017-01-17 22:52:10 UTC
Created attachment 1241977 [details]
OSP error

Description of problem:
It seems like there's a waiting period when you first select an OSP node to be registered (where it shows the warning triangle). If you delete the node in that state, when it does try and start the registration process, it results in an error:

Unable to register node. POST /fusor/api/openstack/deployments/4/nodes. 500 Internal Server Error: Expected([200, 204]) <=> Actual(404 Not Found) excon.error.response :body => "{\"error_message\": \"{\\\"debuginfo\\\": null, \\\"faultcode\\\": \\\"Client\\\", \\\"faultstring\\\": \\\"Node 00b51a21-9d51-4c5e-9bd7-f256ce6b2156 could not be found.\\\"}\"}" :headers => { "Content-Length" => "153" "Content-Type" => "application/json" "Date" => "Tue, 17 Jan 2017 22:47:21 GMT" "Openstack-Request-Id" => "req-76458d0a-137f-478e-a5b0-0ce7216d7ec0" "X-Openstack-Ironic-Api-Maximum-Version" => "1.22" "X-Openstack-Ironic-Api-Minimum-Version" => "1.1" "X-Openstack-Ironic-Api-Version" => "1.1" } :local_address => "192.168.235.10" :local_port => 45180 :reason_phrase => "Not Found" :remote_ip => "192.168.238.245" :status => 404 :status_line => "HTTP/1.1 404 Not Found\r\n" 

Would be nice if we handled that more cleanly.

Version-Release number of selected component (if applicable):
1.1


Additional info:

Comment 2 John Matthews 2017-01-20 20:28:46 UTC
Deferring to 1.2


Note You need to log in before you can comment on or make changes to this bug.